package com.zbf.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zbf.system.domain.TransferOrder;

import java.util.List;

/**
 * 调拨单
 Mapper接口
 *
 * @author tony
 * @date 2024-11-03
 */
public interface TransferOrderMapper extends BaseMapper<TransferOrder> //修改
{
    /**
     * 查询调拨单

     *
     * @param id 调拨单
    主键
     * @return 调拨单

     */
    public TransferOrder selectTransferOrderById(Long id);

    /**
     * 查询调拨单
     列表
     *
     * @param transferOrder 调拨单

     * @return 调拨单
    集合
     */
    public List<TransferOrder> selectTransferOrderList(TransferOrder transferOrder);

    /**
     * 新增调拨单

     *
     * @param transferOrder 调拨单

     * @return 结果
     */
    public int insertTransferOrder(TransferOrder transferOrder);

    /**
     * 修改调拨单

     *
     * @param transferOrder 调拨单

     * @return 结果
     */
    public int updateTransferOrder(TransferOrder transferOrder);

    /**
     * 删除调拨单

     *
     * @param id 调拨单
    主键
     * @return 结果
     */
    public int deleteTransferOrderById(Long id);

    /**
     * 批量删除调拨单

     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTransferOrderByIds(Long[] ids);

    /**
     * 批量启用调拨单

     *
     * @param ids 需要启用的数据主键集合
     * @return 结果
     */
    public int enableTransferOrderByIds(Long[] ids);

    /**
     * 批量禁用调拨单

     *
     * @param ids 需要禁用的数据主键集合
     * @return 结果
     */
    public int disabledTransferOrderByIds(Long[] ids);

}
